Bug 1119401 - starting qemu-system-ppc -M bamboo fails: Bus 'pci' not found
Summary: starting qemu-system-ppc -M bamboo fails: Bus 'pci' not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 17:00 UTC by Robbie Harwood
Modified: 2014-09-19 10:14 UTC (History)
12 users (show)

Fixed In Version: libvirt-1.1.3.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:14:01 UTC


Attachments (Terms of Use)
/var/log/libvirt/qemu/$vmname.log (5.19 KB, text/x-log)
2014-07-14 17:00 UTC, Robbie Harwood
no flags Details

Description Robbie Harwood 2014-07-14 17:00:43 UTC
Created attachment 917923 [details]
/var/log/libvirt/qemu/$vmname.log

Creating as per https://bugzilla.redhat.com/show_bug.cgi?id=667345 and copying details from there.

Description of problem:

Attempting to create a ppc vm fails with error message and traceback.

Version-Release number of selected component (if applicable):

virt-manager version 1.0.1
libvirt version 1.1.3.5
qemu version 1.6.2

How reproducible:

Always.

Steps to Reproduce:
1. Attempt to create a machine and set architecture to ppc.
2. Add an install image (iso) for PPC.
3. Click "begin installation".

Actual results:

Error message:
Unable to complete install: 'internal error: process exited while connecting to monitor: qemu-system-ppc: -device piix3-usb-uhci,id=usb,bus=pci,addr=0x2: Bus 'pci' not found
'

and this traceback:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 91, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1787, in do_install
    guest.start_install(meter=meter)
  File "/usr/share/virt-manager/virtinst/guest.py", line 403, in start_install
    noboot)
  File "/usr/share/virt-manager/virtinst/guest.py", line 467, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 2897, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error: process exited while connecting to monitor: qemu-system-ppc: -device piix3-usb-uhci,id=usb,bus=pci,addr=0x2: Bus 'pci' not found

/var/log/libvirt/qemu/$vmname.log and libvirt xml are attached.

Expected results:

Working PPC emulation.

Additional info:

This bug was originally reported for Fedora 14 by Helmut Schlattl and was previously closed after some initial efforts due to the EOL of Fedora 14.

Comment 1 Robbie Harwood 2014-07-14 17:05:27 UTC
My apologies, I cannot provide libvirt xml because virt-manager does not create it as far as I can tell.  It is not present anywhaere in /etc/libvirt, at any rate.

Comment 2 Cole Robinson 2014-07-14 17:10:25 UTC
The only powerpc version that libvirt likely works with is qemu-system-ppc64 -M pseries, the rest very likely libvirt has incorrect assumptions. FWIW that's what virt-manager will select by default if you choose arch=ppc64. Anything else at this point is probably better served by googling for a working qemu command line and using it manually.

Comment 3 Ján Tomko 2014-07-15 07:49:17 UTC
The bus not found error should be fixed in libvirt 1.2.4 by:
commit 27b2b987bf41ba1ba3aab8c8d9b2d8bc740fd925
Author:     Daniel P. Berrange <berrange@redhat.com>
CommitDate: 2014-04-24 14:21:39 +0100

    Fix pci bus naming for PPC
    
    Recent discussions around naming of 'pci' vs 'pci.0' for PPC
    made me go back and look at the PPC emulator in every historical
    version of QEMU since 1.0. The results were worse than I imagined.
    This patch adds the logic required to make libvirt work with PPC
    correctly with naming variations across all versions & machine
    types.
    
    Signed-off-by: Daniel P. Berrange <berrange@redhat.com>

git describe: v1.2.3-168-g27b2b98 contains: v1.2.4-rc1~59

Comment 4 Cole Robinson 2014-07-15 13:55:27 UTC
Oh, hmm, I was confused, I assumed -M bamboo didn't have PCI. Was thinking of ARM :)

Though I still wouldn't be surprised if virt-manager or libvirt still have other issues generating a working -M bamboo command line

Comment 5 Fedora Update System 2014-09-14 19:00:37 UTC
libvirt-1.1.3.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-10432/libvirt-1.1.3.6-1.fc20

Comment 6 Fedora Update System 2014-09-19 10:14:01 UTC
libvirt-1.1.3.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.